diff -burN pysqlite-2.5.5_orig/amalgamation/sqlite3_unicode.c pysqlite-2.5.5/amalgamation/sqlite3_unicode.c
--- pysqlite-2.5.5_orig/amalgamation/sqlite3_unicode.c	2009-06-05 10:02:03.890625000 +0200
+++ pysqlite-2.5.5/amalgamation/sqlite3_unicode.c	2009-06-05 09:52:42.265625000 +0200
@@ -36,8 +36,8 @@
 #define SQLITE3_UNICODE_FOLD      // ~ 10KB increase
 #define SQLITE3_UNICODE_LOWER     // ~ 10KB increase
 #define SQLITE3_UNICODE_UPPER     // ~ 10KB increase
-#define SQLITE3_UNICODE_TITLE     // ~ 10KB increase
-#define SQLITE3_UNICODE_UNACC     // ~ 30KB increase
+//#define SQLITE3_UNICODE_TITLE     // ~ 10KB increase
+//#define SQLITE3_UNICODE_UNACC     // ~ 30KB increase
                                   // _______________
                                   // ~ 70KB increase
 
diff -burN pysqlite-2.5.5_orig/setup.cfg pysqlite-2.5.5/setup.cfg
--- pysqlite-2.5.5_orig/setup.cfg	2009-03-11 17:31:40.000000000 +0100
+++ pysqlite-2.5.5/setup.cfg	2009-06-05 10:07:45.265625000 +0200
@@ -3,4 +3,5 @@
 #include_dirs=/usr/local/include
 #library_dirs=/usr/local/lib
 libraries=sqlite3
-define=SQLITE_OMIT_LOAD_EXTENSION
+#define=SQLITE_OMIT_LOAD_EXTENSION 
+define=SQLITE_ENABLE_UNICODE
diff -burN pysqlite-2.5.5_orig/setup.py pysqlite-2.5.5/setup.py
--- pysqlite-2.5.5_orig/setup.py        2009-03-09 13:16:40.000000000 +0100
+++ pysqlite-2.5.5/setup.py     2009-06-15 13:26:42.154741800 +0200
@@ -98,7 +98,7 @@
     urllib.urlretrieve(amalgamation_url, "tmp.zip")
 
     zf = zipfile.ZipFile("tmp.zip")
-    files = ["sqlite3.c", "sqlite3.h"]
+    files = ["sqlite3.c", "sqlite3.h", "sqlite3ext.h"]
     for fn in files:
         print "Extracting", fn
         outf = open(AMALGAMATION_ROOT + os.sep + fn, "wb")
@@ -122,6 +122,7 @@
             get_amalgamation()
             ext.define_macros.append(("SQLITE_ENABLE_FTS3", "1"))   # build with fulltext search enabled
             ext.sources.append(os.path.join(AMALGAMATION_ROOT, "sqlite3.c"))
+            ext.sources.append(os.path.join(AMALGAMATION_ROOT, "sqlite3_unicode.c"))
             ext.include_dirs.append(AMALGAMATION_ROOT)
         build_ext.build_extension(self, ext)
 
